# PythonController Class Reference

[GameLogic Index] [GameLogic Hierarchy]

A PythonController is a special controller in Blender which can have a Python script bound to it More...

`#include <pythoncontroller.h>`

Inherits: Controller

## Public Members

- PythonController ()
- ~PythonController ()
- PyObject* getActuators ()
- PyObject* getSensors ()

## Detailed Description

A PythonController is a special controller in Blender which can have a Python script bound to it. There are also sensors and actuators bound to this controller. The sensors are responsible for calling the Python script bound to the controller. The scripts "decides" how to react on this call and might call one of the actuators (or all) bound to the controller.

## PyObject* getActuators()

Returns a Python list of actuators bound to the PythonController.

## PyObject* getSensors()

Returns a Python list of sensors bound to the PythonController.

- Author: Jan Walter
- Documentation generated by jan@nvidea on Thu Dec 21 14:04:43 CET 2000

K doc